Templates
Last update: 6 hours ago by Irais Aguirre
Integration summary
- Base URL:
https://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services- Token: admin token, in the
Authorization: Bearer {{admin-token}}header (how to generate it)- Endpoints on this page:
GET /v1/template/{{waba_id}}/template-status: Get template quality
Check the quality rating of your WABA's templates.
Get template quality
Request
Get template quality request:
| URL | https://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services/v1/template/{{waba_id}}/template-status |
| Method | GET |
Headers
Get template quality headers:
| Name | Description | Type | Requirements |
|---|---|---|---|
| Authorization | Admin token. See Generate authentication token. | String | Required |
Parameters
Get template quality parameters:
| Name | Description | Type | Requirements |
|---|---|---|---|
| waba_id | WhatsApp Business Account ID. Digits only. | String | Required |
Example
Complete Get template quality example:
curl --location 'https://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services/v1/template/{{waba_id}}/template-status' \--header 'Authorization: Bearer {{admin-token}}'
Response
Get template quality response:
| Name | Description | Type |
|---|---|---|
| data | List with the quality of each template in the WABA. | Array |
| wabaId | WABA ID. | String |
| templateId | Template ID in Meta. | String |
| name | Template name. | String |
| language | Template language. | String |
| status | Template status in Meta. For example, APPROVED or REJECTED. | String |
| qualityScore | Template quality rating. Possible values:
| String |
| qualityScoreDate | Date and time Meta calculated the rating. | String (ISO 8601 date) |
| category | Template category. For example, MARKETING. | String |
| processedAt | Date and time the information was obtained from Meta; the 12-hour period counts from here. | String (ISO 8601 date) |
{"data": [{"wabaId": "173276950931742","templateId": "1081574727374061","name": "prueba_columbia","language": "es","status": "REJECTED","qualityScore": "UNKNOWN","qualityScoreDate": "2025-07-25T19:58:56Z","category": "MARKETING","processedAt": "2025-07-25T19:58:58.036Z"},{"wabaId": "173276950931742","templateId": "1249112459663215","name": "prueba158","language": "es","status": "APPROVED","qualityScore": "UNKNOWN","qualityScoreDate": "2025-07-25T19:58:56Z","category": "MARKETING","processedAt": "2025-07-25T19:58:58.002Z"}]}
